package com.cooleshow.teacher.push;

import android.content.Context;

import com.vivo.push.model.UPSNotificationMessage;
import com.vivo.push.model.UnvarnishedMessage;

import cn.jpush.android.service.PluginVivoMessageReceiver;
import io.rong.push.platform.vivo.VivoPushMessageReceiver;

/**
 * Author by pq, Date on 2022/7/18.
 */
public class VivoPushReceiver extends VivoPushMessageReceiver {
    final PluginVivoMessageReceiver mPluginOppoPushService =new PluginVivoMessageReceiver();
    @Override
    public void onNotificationMessageClicked(Context context, UPSNotificationMessage message) {
        super.onNotificationMessageClicked(context, message);
        mPluginOppoPushService.onNotificationMessageClicked(context,message);
    }

    @Override
    public void onReceiveRegId(Context context, String token) {
        super.onReceiveRegId(context, token);
        mPluginOppoPushService.onReceiveRegId(context,token);
    }

    @Override
    public void onTransmissionMessage(Context context, UnvarnishedMessage unvarnishedMessage) {
        super.onTransmissionMessage(context, unvarnishedMessage);
        mPluginOppoPushService.onTransmissionMessage(context,unvarnishedMessage);
    }

}
